%global momorel 2
%global prever 1
%global date 20100407
%global svnrev 323
%global usesvn 1
%global stable 0
%global src1name kdebase-runtime
%global src1ver 4.3.2
%global qtver 4.5.2

Summary: Qwit is a simple Qt4-based client for Twitter
Name: qwit
Version: 1.0
%if %{usesvn}
Release: 0.%{date}.%{momorel}m%{?dist}
%else
%if %{stable}
Release: %{momorel}m%{?dist}
%else
Release: 0.%{prever}.%{momorel}m%{?dist}
%endif
%endif
# keep GPLv2+ for Source1
License: GPLv3 and GPLv2+
URL: http://code.google.com/p/qwit/
Group: Applications/Internet
%if %{usesvn}
Source0: %{name}-%{date}-r%{svnrev}.tar.bz2
%else
%if %{stable}
Source0: http://qwit.googlecode.com/files/%{name}-%{version}-src.tar.bz2
%else
Source0: http://qwit.googlecode.com/files/%{name}-%{version}-beta-src.tar.bz2
%endif
NoSource: 0
%endif
Source1: ftp://ftp.kde.org/pub/kde/stable/%{src1ver}/src/%{src1name}-%{src1ver}.tar.bz2
NoSource: 1
%if %{usesvn}
Source2: %{name}_ja_JP.ts.r%{svnrev}
%else
Source2: %{name}_ja_JP.ts
%endif
Patch0: %{name}-0.9-desktop.patch
%if %{usesvn}
Patch1: %{name}-%{date}-r%{svnrev}-make-ja.patch
%else
Patch1: %{name}-%{version}-make-ja.patch
%endif
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: qt-devel >= %{qtver}
BuildRequires: ImageMagick
BuildRequires: coreutils

%description
Qwit is a simple Qt4-based client for Twitter.

Latest version features:
- depends on Qt4 only;
- KDE native look;
- http-proxy support;
- userpics caching;
- clickable links in statuses;
- public, replies, custom user timelines, search;
- caching messages between sessions;
- replies, retweets and direct messages support;
- customizable interface.

%prep
%if %{usesvn}
%setup -q -n %{name}-%{date}-r%{svnrev} -a1
%else
%if %{stable}
%setup -q -n %{name}-%{version}-src -a 1
%else
%setup -q -n %{name}-%{version}-beta-src -a 1
%endif
%endif

%patch0 -p1 -b .desktop~

%if ! %{stable}
# for Japanese
%patch1 -p1 -b .make-ja

install -m 644 %{src1name}-%{src1ver}/l10n/jp/flag.png images/countries/jp.png
install -m 644 %{SOURCE2} translations/%{name}_ja_JP.ts

pushd translations
lrelease-qt4 %{name}_ja_JP.ts
popd
%endif

%build
qmake-qt4 PREFIX=%{_prefix}
make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install INSTALL_ROOT=%{buildroot}

# install and link icon
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{16x16,32x32}/apps
mkdir -p %{buildroot}%{_datadir}/pixmaps
convert -scale 16x16 images/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -m 644 images/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/
ln -s ../icons/hicolor/32x32/apps/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

# clean up
rm -f %{buildroot}%{_datadir}/icons/%{name}.png

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/pixmaps/%{name}.png

%changelog
* Thu Apr  8 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-0.20100407.2m)
- rewrite old Japanese Translation for 1.0 beta

* Wed Apr  7 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-0.20100407.1m)
- update to 20100407 svn snapshot (rev. 323)
- update Japanese Translation for svn rev. 323
- fix up old Japanese Translation for 1.0 beta
- update Source1: kdebase-runtime to 4.4.2

* Fri Mar  5 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-0.1.4m)
- update Japanese Translation

* Wed Mar  3 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-0.1.3m)
- update Japanese Translation

* Tue Mar  2 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-0.1.2m)
- fix up Japanese Translation

* Tue Mar  2 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-0.1.1m)
- update to version 1.0 beta
- add Japanese Translation
- add make-ja.patch
- install jp.png from kdebase-runtime-4.4.0/l10n/jp/flag.png

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.10-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun Nov  8 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.10-1m)
- version 0.10

* Mon Jun 29 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9-1m)
- version 0.9

* Tue Mar  3 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8-1m)
- initial package for Twitter freaks using Momonga Linux
